

    /* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
    *                                                                 *
    *   DEVIL Screensaver System 1.05                                 *
    *   Copyright  2005 Sebastian Pipping <webmaster@hartwork.org>   *
    *                                                                 *
    *   --> http://www.hartwork.org                                   *
    *                                                                 *
    *                                                                 *
    *   This source code is released under LGPL.                      *
    *   See LGPL.txt for details.                        2005-09-18   *
    *                                                                 *
    \* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#include "DevilDebug.h"


// *****************************************************************************
void DEBUGF( const UINT uLen, const TCHAR * szFormat, ... )
{
	TCHAR * szBuffer = new TCHAR[ uLen ];

	va_list pArgList;
	va_start( pArgList, szFormat );
	wvsprintf( szBuffer, szFormat, pArgList );
	va_end( pArgList );

	OutputDebugString( szBuffer );

	delete szBuffer;
}
